ON_SurfaceProperties Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_surface.h>`

## Public Member Functions

| ON_SurfaceProperties ()
void | Set (const ON_Surface *surface)

## Public Attributes

bool | m_bIsSet
bool | m_bHasSingularity
bool | m_bIsSingular [4]
bool | m_bHasSeam
bool | m_bIsClosed [2]
ON_Interval | m_domain [2]
const ON_Surface * | m_surface
ON__INT_PTR | m_tag

## Detailed Description

Definition at line 851 of file opennurbs_surface.h.

## Constructor & Destructor Documentation

## ON_SurfaceProperties()

ON_SurfaceProperties::ON_SurfaceProperties | ( |  | ) |

## Member Function Documentation

## Set()

void ON_SurfaceProperties::Set | ( | const ON_Surface * | surface | ) |

## Member Data Documentation

## m_bHasSeam

bool ON_SurfaceProperties::m_bHasSeam

Definition at line 873 of file opennurbs_surface.h.

## m_bHasSingularity

bool ON_SurfaceProperties::m_bHasSingularity

Definition at line 870 of file opennurbs_surface.h.

## m_bIsClosed

bool ON_SurfaceProperties::m_bIsClosed[2]

Definition at line 874 of file opennurbs_surface.h.

## m_bIsSet

bool ON_SurfaceProperties::m_bIsSet

Definition at line 868 of file opennurbs_surface.h.

## m_bIsSingular

bool ON_SurfaceProperties::m_bIsSingular[4]

Definition at line 871 of file opennurbs_surface.h.

## m_domain

ON_Interval ON_SurfaceProperties::m_domain[2]

Definition at line 880 of file opennurbs_surface.h.

## m_surface

const ON_Surface* ON_SurfaceProperties::m_surface

Definition at line 887 of file opennurbs_surface.h.

## m_tag

ON__INT_PTR ON_SurfaceProperties::m_tag

Definition at line 891 of file opennurbs_surface.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_surface.h